<?php

use App\Models\Page;

$page = Page::where('client_id', $patient->id)->where('category', 'CANVAS')->where('key', 'sochx')->first();

$contentData = [];

if($page){
    $contentData = json_decode($page->data, true);
}else{
    if ($patient->canvas_data) {
        $canvasData = json_decode($patient->canvas_data, true);
        if (isset($canvasData["sochx"])) {
            $contentData = $canvasData["sochx"];
        }
    }
}

